Bug 1121119 - Review Request: rubygem-gyoku - Translates Ruby Hashes to XML
Summary: Review Request: rubygem-gyoku - Translates Ruby Hashes to XML
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1121120 1121125
TreeView+ depends on / blocked
 
Reported: 2014-07-18 12:23 UTC by Steve Traylen
Modified: 2017-05-31 09:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 09:20:40 UTC


Attachments (Terms of Use)

Description Steve Traylen 2014-07-18 12:23:23 UTC
Spec URL: http://cern.ch/straylen/rpms/rubygem-gyoku/rubygem-gyoku.spec
SRPM URL:  http://cern.ch/straylen/rpms/rubygem-gyoku/rubygem-gyoku-1.1.1-1.fc20.src.rpm
Description:
Gyoku translates Ruby Hashes to XML.
Fedora Account System Username: stevetraylen

Comment 1 Jun Aruga 2016-03-11 09:30:31 UTC
Hi, Steve.
Let me review it.

- Mock build was failed.

  $ mock -r fedora-rawhide-x86_64 rubygem-gyoku-1.1.1-1.fc20.src.rpm
  ...
  Error: nothing provides rubygem(tins) >= 1.6.0 needed by rubygem-coveralls-0.8.10-1.fc24.noarch
  ...


  The srpm file requires rubygem-coveralls in the spec file.
  > BuildRequires: rubygem-coveralls

  But it is not good that the package requires coverage modules such as rubygem-coveralls, simplecov, also bundler.
  So, you can remove below lines in the spec file.
  > Requires: rubygem(builder)
  > BuildRequires: rubygem(coveralls)
  > BuildRequires: rubygem(simplecov)

  And replace spec/spec_helper.rb by the using sed command in %check section, not to run coverage.

  See other package's spec files for reference:
    http://pkgs.fedoraproject.org/cgit/rpms/rubygem-timers.git/tree/rubygem-timers.spec
    http://pkgs.fedoraproject.org/cgit/rpms/rubygem-web-console.git/tree/rubygem-web-console.spec
  [1]

- Unfortunately after your review request, the time has passed.
  The gyoku latest version became 1.3.1 from 1.1.1.
  You should update the version in rpm.


[1] To check other spec files, I used below way.

You can see rpm-specs-latest.tar.xz file at http://pkgs.fedoraproject.org/repo
This file includes all the latest spec files.

Downloaded the file.
Then to find the spec files that are using coverage module, using "sed" to replace, and new.

tar xf rpm-specs-latest.tar.xz
cd rpm-specs
find . -name "rubygem-*" | xargs grep -l "sed -i" \
    | xargs grep -l "cov" \
    | xargs grep -A 10 "^%changelog"

Comment 2 Vít Ondruch 2016-03-11 09:41:06 UTC
(In reply to Jun Aruga from comment #1)
> Hi, Steve.
> Let me review it.
> 
> - Mock build was failed.
> 
>   $ mock -r fedora-rawhide-x86_64 rubygem-gyoku-1.1.1-1.fc20.src.rpm
>   ...
>   Error: nothing provides rubygem(tins) >= 1.6.0 needed by
> rubygem-coveralls-0.8.10-1.fc24.noarch
>   ...

This is actually issue of Coveralls. But it seems that the yesterdays build (http://koji.fedoraproject.org/koji/buildinfo?buildID=743095) should fix that issue.


Also, looking at the .spec file, I'll note here a few random tips:

Use the %license macro, drop the unnecessary conditionals, use a wildcard for exclusion of the dot files.

Comment 3 Steve Traylen 2017-05-31 09:20:40 UTC
So old, can't remember by why I wanted it. Apologies for the lack of response.


Note You need to log in before you can comment on or make changes to this bug.